Bug 1342013 - VNC: "ctrl+alt" still can release cursor after setting --hotkeys=release-cursor=ctrl+alt+a
Summary: VNC: "ctrl+alt" still can release cursor after setting --hotkeys=release-curs...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: mingw-virt-viewer
Version: 4.0.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ovirt-4.0.0-rc
: ---
Assignee: Default Assignee for SPICE Bugs
QA Contact: SPICE QE bug list
URL:
Whiteboard:
Depends On: 1339575 1351574
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-02 09:14 UTC by Pavel Grunt
Modified: 2016-08-23 20:52 UTC (History)
19 users (show)

Fixed In Version: mingw-virt-viewer-2.0.10 rhevm-spice-client-4.0-2
Doc Type: Bug Fix
Doc Text:
Previously, the default release sequence (Ctrl+Alt) was not disabled when another sequence was specified using the --hotkeys option, causing both key sequences (the default and the newly specified) to release the cursor. Now, the default key sequence is disabled when another sequence is specified, so that only the requested sequence releases the cursor.
Clone Of: 1339575
Environment:
Last Closed: 2016-08-23 20:52:29 UTC
oVirt Team: Spice
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:1681 0 normal SHIPPED_LIVE rhevm-spice-client bug fix and enhancement update for RHV 4.0 2016-09-02 21:09:20 UTC

Comment 2 David Jaša 2016-08-15 15:13:10 UTC
It seems to me that I can't actually test it as remote-viewer says:
(remote-viewer.exe:3788): remote-viewer-WARNING **: (../../src/virt-viewer-app.c:2063):virt_viewer_app_set_hotkeys: code should not be reached
and both shortcuts work the same.

Comment 3 Pavel Grunt 2016-08-15 15:53:21 UTC
(In reply to David Jaša from comment #2)
> It seems to me that I can't actually test it as remote-viewer says:
> (remote-viewer.exe:3788): remote-viewer-WARNING **:
> (../../src/virt-viewer-app.c:2063):virt_viewer_app_set_hotkeys: code should
> not be reached

that is printed only when 'key' is missing
> and both shortcuts work the same.

Works for me, can you please check the version

C:\Program Files\VirtViewer v2.0-176\bin>remote-viewer.exe --version
C:\Program Files\VirtViewer v2.0-176\bin>remote-viewer version 2.0-176 (OS ID: rhev-win64)
C:\Program Files\VirtViewer v2.0-176\bin>remote-viewer.exe vnc://192.168.122.1:5900 --hotkeys=release-cursor=ctrl+alt+a
C:\Program Files\VirtViewer v2.0-176\bin>
(remote-viewer.exe:2428): remote-viewer-WARNING **: disabling smartcard shortcuts
C:\Program Files\VirtViewer v2.0-176\bin>

Comment 6 errata-xmlrpc 2016-08-23 20:52:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-1681.html


Note You need to log in before you can comment on or make changes to this bug.